Bug 738159 - kernel bug when using xrandr with DP and LSDV
Summary: kernel bug when using xrandr with DP and LSDV
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 15
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-14 07:50 UTC by Radoslav Husar
Modified: 2018-04-11 14:20 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 14:45:46 UTC


Attachments (Terms of Use)

Description Radoslav Husar 2011-09-14 07:50:26 UTC
Description of problem:
I use DP to connect up the monitor, I use xrandr setup to turn off LSDV. The error happens when I want to switch output back to LSDV and turn off DP.

Version-Release number of selected component (if applicable):
See log.

How reproducible:
Everytime.

Steps to Reproduce:
1. xrandr --output DP1 --auto --output LVDS1 --off --output VGA1 --off
2. xrandr --output LVDS1 --auto --output VGA1 --off --output DP1 --off
  
Actual results:
everything is black

Expected results:
output is switched

Additional info:
Sep 14 08:51:56 rhusar kernel: [35515.944071] [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
Sep 14 08:51:56 rhusar kernel: [35515.944084] [drm] capturing error event; look for more information in /debug/dri/0/i915_error_state
Sep 14 08:51:56 rhusar kernel: [35515.951168] [drm:i915_wait_request] *ERROR* i915_wait_request returns -11 (awaiting 1040 at 1037, next 1046)
Sep 14 08:51:56 rhusar kernel: [35515.963203] ------------[ cut here ]------------
Sep 14 08:51:56 rhusar kernel: [35515.963233] kernel BUG at drivers/gpu/drm/i915/i915_gem.c:2028!
Sep 14 08:51:56 rhusar kernel: [35515.963261] invalid opcode: 0000 [#1] SMP 
Sep 14 08:51:56 rhusar kernel: [35515.963287] CPU 0 
Sep 14 08:51:56 rhusar kernel: [35515.963298] Modules linked in: tcp_lp tun btusb rfcomm fuse ppdev parport_pc lp parport bnep bluetooth sunrpc cpufreq_ondemand acpi_cpufreq mperf xts gf128mul dm_crypt uvcvideo videodev snd_hda_codec_conexant media v4l2_compat_ioctl32 snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device e1000e arc4 thinkpad_acpi snd_pcm r852 sm_common nand snd_timer nand_ids iTCO_wdt snd_page_alloc microcode r592 nand_ecc memstick mtd iTCO_vendor_support iwlagn snd i2c_i801 joydev soundcore mac80211 cfg80211 rfkill ipv6 firewire_ohci firewire_core sdhci_pci sdhci mmc_core yenta_socket crc_itu_t wmi i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
Sep 14 08:51:56 rhusar kernel: [35515.963722] 
Sep 14 08:51:56 rhusar kernel: [35515.963732] Pid: 7132, comm: Xorg Not tainted 2.6.40.4-5.fc15.x86_64 #1 LENOVO 2241B48/2241B48
Sep 14 08:51:56 rhusar kernel: [35515.963779] RIP: 0010:[<ffffffffa0075742>]  [<ffffffffa0075742>] i915_wait_request+0x2b/0x429 [i915]
Sep 14 08:51:56 rhusar kernel: [35515.963838] RSP: 0000:ffff8801cd153b98  EFLAGS: 00013246
Sep 14 08:51:56 rhusar kernel: [35515.963864] RAX: ffff88022b4a3000 RBX: ffff88022b2c8030 RCX: 0000000000000001
Sep 14 08:51:56 rhusar kernel: [35515.963897] RDX: 0000000000000001 RSI: 0000000000000000 RDI: ffff88022b2c8030
Sep 14 08:51:56 rhusar kernel: [35515.963930] RBP: ffff8801cd153c08 R08: ffff88022b2c9660 R09: 0000000000000002
Sep 14 08:51:56 rhusar kernel: [35515.963963] R10: 0000000000000002 R11: 00000000000033ae R12: 0000000000000000
Sep 14 08:51:56 rhusar kernel: [35515.963995] R13: 0000000000000000 R14: ffff88022b2c8000 R15: ffff8801eea3c370
Sep 14 08:51:56 rhusar kernel: [35515.964005] FS:  00007faabad478a0(0000) GS:ffff88023bc00000(0000) knlGS:0000000000000000
Sep 14 08:51:56 rhusar kernel: [35515.964005] CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
Sep 14 08:51:56 rhusar kernel: [35515.964005] CR2: 00007faab406b168 CR3: 00000001c650d000 CR4: 00000000000006f0
Sep 14 08:51:56 rhusar kernel: [35515.964005] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
Sep 14 08:51:56 rhusar kernel: [35515.964005] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Sep 14 08:51:56 rhusar kernel: [35515.964005] Process Xorg (pid: 7132, threadinfo ffff8801cd152000, task ffff8801dda62e60)
Sep 14 08:51:56 rhusar kernel: [35515.964005] Stack:
Sep 14 08:51:56 rhusar kernel: [35515.964005]  ffff88022b2c8000 0000000000001000 ffff8801cd153c48 ffffffffa00750e4
Sep 14 08:51:56 rhusar kernel: [35515.964005]  ffffffffa0026987 00000000000a12d2 ffff8801747a0bd8 ffffffff000006ff
Sep 14 08:51:56 rhusar kernel: [35515.964005]  00000001cd014680 ffff8801c645ea00 0000000000000000 ffff8801cd153c00
Sep 14 08:51:56 rhusar kernel: [35515.964005] Call Trace:
Sep 14 08:51:56 rhusar kernel: [35515.964005]  [<ffffffffa00750e4>] ? i915_gem_object_bind_to_gtt+0x3bd/0x46d [i915]
Sep 14 08:51:56 rhusar kernel: [35515.964005]  [<ffffffffa0026987>] ? drm_mm_put_block+0x44/0x4d [drm]
Sep 14 08:51:56 rhusar kernel: [35515.964005]  [<ffffffffa0075b71>] i915_gem_object_wait_rendering+0x31/0x33 [i915]
Sep 14 08:51:56 rhusar kernel: [35515.964005]  [<ffffffffa00771e2>] i915_gem_object_set_to_gtt_domain+0x53/0xd7 [i915]
Sep 14 08:51:56 rhusar kernel: [35515.964005]  [<ffffffffa0077346>] i915_gem_fault+0xe0/0x1e5 [i915]
Sep 14 08:51:56 rhusar kernel: [35515.964005]  [<ffffffff810f6b92>] __do_fault+0x55/0x377
Sep 14 08:51:56 rhusar kernel: [35515.964005]  [<ffffffff810f90da>] handle_pte_fault+0x2a7/0x7ab
Sep 14 08:51:56 rhusar kernel: [35515.964005]  [<ffffffff810f1c65>] ? inc_zone_page_state+0x27/0x29
Sep 14 08:51:56 rhusar kernel: [35515.964005]  [<ffffffff810f76b1>] ? __pte_alloc+0x93/0x12f
Sep 14 08:51:56 rhusar kernel: [35515.964005]  [<ffffffff810f9956>] handle_mm_fault+0x1c8/0x1db
Sep 14 08:51:56 rhusar kernel: [35515.964005]  [<ffffffff8148b3cd>] do_page_fault+0x354/0x39b
Sep 14 08:51:56 rhusar kernel: [35515.964005]  [<ffffffff81134f0a>] ? do_vfs_ioctl+0x460/0x4a1
Sep 14 08:51:56 rhusar kernel: [35515.964005]  [<ffffffff8112f9e8>] ? path_put+0x20/0x24
Sep 14 08:51:56 rhusar kernel: [35515.964005]  [<ffffffff81488755>] page_fault+0x25/0x30
Sep 14 08:51:56 rhusar kernel: [35515.964005] Code: 55 48 89 e5 41 57 41 56 41 55 41 54 53 48 83 ec 48 66 66 66 66 90 48 8b 47 18 85 f6 48 89 fb 41 89 f5 4c 8b b0 48 03 00 00 75 02 <0f> 0b 41 8b 86 18 17 00 00 85 c0 74 35 49 8d 9e 78 08 00 00 48 
Sep 14 08:51:56 rhusar kernel: [35515.964005] RIP  [<ffffffffa0075742>] i915_wait_request+0x2b/0x429 [i915]
Sep 14 08:51:56 rhusar kernel: [35515.964005]  RSP <ffff8801cd153b98>

Comment 1 Chuck Ebbert 2011-09-14 08:56:54 UTC
In i915_wait_request():

        BUG_ON(seqno == 0);

Comment 2 Matěj Cepl 2011-09-14 09:47:34 UTC
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please add drm.debug=0x04 to the kernel command line, restart computer, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* X server log file (/var/log/Xorg.*.log*; check with grep Backtrace /var/log/Xorg* which logs might be the most interesting ones, send us at least Xorg.0.log)
* output of the dmesg command, and
* system log (/var/log/messages)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

Comment 3 Radoslav Husar 2012-06-14 08:08:55 UTC
I am not running fedora 15 any more, shall we close this?

Comment 4 Fedora End Of Life 2012-08-07 14:45:49 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.